Subject: RE: [CYGWIN] Can't start postmaster->half done
From: "Reshat Sabiq" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 23 Dec 2002 09:03:59 -0500

I made another attempt to get postgres running as a service owned by
myself, rather than a separate user "postgres". Alas, I couldn't get it,
and will probably give up for now and get done what I need to get done
by running w/o a service (net start postmaster), just as:
postmaster -D /usr/share/postgresql/data &

P.S. These are the errors that prevented me from running it as a service
(on XP Pro):
1. postmaster service owned by separate user postgres (attempted net
start postmaster after switching to user postgres instead su):
semget ... Function not implemented
[Although I never got that error running as myself. The error message is
not verbatim.]
2. postmaster service owned by me:
$ cygrunsrv --start postmaster
cygrunsrv: Error starting a service: StartService:  Win32 error 1069:
The service did not start due to a logon failure. 
3. postmaster service owned by Local System:
$ cygrunsrv --start postmaster
cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error
1062:
The service has not been started.

P.S. I also tried runas on several occasions w/o success.

Sincerely,
r.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/